Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.hust.go.model
Class OboGoParser

    java.lang.Object
      |
      +--edu.hust.go.model.GoParser
            |
            +--edu.hust.go.model.OboGoParser

public class OboGoParser
extends GoParser

Field Summary

Fields inherited from class edu.hust.go.model.GoParser
`dataPool, defaultPoolSize, defaultThreadNumber, m_ParserActive, OBO, OBOXML, OWL, poolSize, RDFXML, target, termMap, threadNumber, threadPool`

Constructor Summary
`OboGoParser(java.lang.String _target)`
`OboGoParser(java.lang.String _target, int _maxThreadNumber)`
`OboGoParser(java.lang.String _target, int _maxThreadNumber, int _maxPoolSize)`

Method Summary
`edu.hust.go.term.GO_term` | `getGoTermById(java.lang.String id)`
`protected void` | `parseTarget()`

Methods inherited from class edu.hust.go.model.GoParser
`addDataToPool, addTermToMap, getDataFromPool, getTermMap, parse, parsingInProgress, queueProcessed, removeThread, setParserActive, setParsingComplete, threadActive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OboGoParser

    public OboGoParser(java.lang.String _target)

### OboGoParser

    public OboGoParser(java.lang.String _target,
                       int _maxThreadNumber)

### OboGoParser

    public OboGoParser(java.lang.String _target,
                       int _maxThreadNumber,
                       int _maxPoolSize)

Parameters:
  `_target` - GO definition file
  `_maxThreadNumber` - thread number
  `_maxPoolSize` - GO term parse speed may slower than read thread, if the number of unparsed terms greater than maxPoolSize, new term has to wait until old terms have been parsed.

Method Detail

### getGoTermById

    public edu.hust.go.term.GO_term getGoTermById(java.lang.String id)

  Specified by:
    `getGoTermById` in class `GoParser`

### parseTarget

    protected void parseTarget()

  Specified by:
    `parseTarget` in class `GoParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD